# QShortcut Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QShortcut(QWidget parent)
- void QShortcut(QKeySequence key, QWidget parent, char member, char ambiguousMember, ShortcutContext context)

### Constructor Properties

- prototype: The QShortcut prototype object

### Prototype Object Properties

The QShortcut prototype object inherits properties from the QObject prototype object and also has the following properties.

- int id()
- QWidget parentWidget()

### Instance Properties

QShortcut objects inherit properties from the QShortcut prototype object and also have the following properties.

- key
- whatsThis
- enabled
- autoRepeat
- context